# Uses of Class
org.eclipse.osgi.service.resolver.VersionRange

Packages that use VersionRange
Package
Description
org.eclipse.osgi.service.resolver
Provides the Equinox resolver API.

## Uses of VersionRange in org.eclipse.osgi.service.resolver

Fields in org.eclipse.osgi.service.resolver declared as VersionRange
Modifier and Type
Field
Description
`static final VersionRange`
VersionRange.`emptyRange`
An empty version range: "0.0.0".
Methods in org.eclipse.osgi.service.resolver that return VersionRange
Modifier and Type
Method
Description
`VersionRange`
ImportPackageSpecification.`getBundleVersionRange()`
Returns the version range which this import package may be resolved to.
`VersionRange[]`
NativeCodeDescription.`getOSVersions()`
Returns the operating system version ranges supported by the native code.
`VersionRange`
VersionConstraint.`getVersionRange()`
Returns the version range for this constraint.
Methods in org.eclipse.osgi.service.resolver with parameters of type VersionRange
Modifier and Type
Method
Description
`BundleSpecification`
StateObjectFactory.`createBundleSpecification(String requiredSymbolicName, VersionRange requiredVersionRange, boolean export, boolean optional)`
Creates a bundle specification from the given parameters.
`BundleSpecification`
StateObjectFactory.StateObjectFactoryProxy.`createBundleSpecification(String requiredSymbolicName, VersionRange requiredVersionRange, boolean export, boolean optional)`
`HostSpecification`
StateObjectFactory.`createHostSpecification(String hostSymbolicName, VersionRange hostVersionRange)`
Creates a host specification from the given parameters.
`HostSpecification`
StateObjectFactory.StateObjectFactoryProxy.`createHostSpecification(String hostSymbolicName, VersionRange hostVersionRange)`
`ImportPackageSpecification`
StateObjectFactory.`createImportPackageSpecification(String packageName, VersionRange versionRange, String bundleSymbolicName, VersionRange bundleVersionRange, Map<String,?> directives, Map<String,?> attributes, BundleDescription importer)`
Creates an import package specification from the given parameters.
`ImportPackageSpecification`
StateObjectFactory.StateObjectFactoryProxy.`createImportPackageSpecification(String packageName, VersionRange versionRange, String bundleSymbolicName, VersionRange bundleVersionRange, Map<String,?> directives, Map<String,?> attributes, BundleDescription importer)`
`NativeCodeDescription`
StateObjectFactory.`createNativeCodeDescription(String[] nativePaths, String[] processors, String[] osNames, VersionRange[] osVersions, String[] languages, String filter)`
Creates a native code description from the given parameters
`NativeCodeDescription`
StateObjectFactory.StateObjectFactoryProxy.`createNativeCodeDescription(String[] nativePaths, String[] processors, String[] osNames, VersionRange[] osVersions, String[] languages, String filter)`